odbc_statistics
odbc_tables
ODBC Functions
PHP Manual

# odbc_tableprivileges

(PHP 4, PHP 5)

odbc_tableprivileges — Lists tables and the privileges associated with each table

### Description

resource odbc_tableprivileges ( resource `$connection_id` , string `$qualifier` , string `$owner` , string `$name` )

Lists tables in the requested range and the privileges associated with each table.

### Parameters

`connection_id`

  The ODBC connection identifier, see odbc_connect() for details.

`qualifier`

  The qualifier.

`owner`

  The owner. Accepts the following search patterns: ('%' to match zero or more characters and '_' to match a single character)

`name`

  The name. Accepts the following search patterns: ('%' to match zero or more characters and '_' to match a single character)

### Return Values

An ODBC result identifier or `FALSE` on failure.

The result set has the following columns:

- TABLE_QUALIFIER
- TABLE_OWNER
- TABLE_NAME
- GRANTOR
- GRANTEE
- PRIVILEGE
- IS_GRANTABLE

The result set is ordered by TABLE_QUALIFIER, TABLE_OWNER and TABLE_NAME.

odbc_statistics
odbc_tables
ODBC Functions
PHP Manual